import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/objectWithoutPropertiesLoose";
import _inheritsLoose from "@babel/runtime/helpers/inheritsLoose";
import _defineProperty from "@babel/runtime/helpers/defineProperty";
import React from 'react';
import PropTypes from 'prop-types';
import ReactBootstrapDropdownButton from 'react-bootstrap/lib/DropdownButton';
export var DropdownButton =
/*#__PURE__*/
function (_React$Component) {
  _inheritsLoose(DropdownButton, _React$Component);

  function DropdownButton() {
    return _React$Component.apply(this, arguments) || this;
  }

  var _proto = DropdownButton.prototype;

  _proto.render = function render() {
    var _this$props = this.props,
        children = _this$props.children,
        testAutomationId = _this$props.testAutomationId,
        props = _objectWithoutPropertiesLoose(_this$props, ["children", "testAutomationId"]);

    return React.createElement(ReactBootstrapDropdownButton, _extends({
      "data-test-automation-id": testAutomationId
    }, props), children);
  };

  return DropdownButton;
}(React.Component);

_defineProperty(DropdownButton, "propTypes", {
  testAutomationId: PropTypes.string,
  children: PropTypes.node.isRequired
});

_defineProperty(DropdownButton, "defaultProps", {
  testAutomationId: null,
  children: null
});